<template>
    <div class="container">
        <div>{{ directoryObj.item }}</div>
        <div>{{ directoryObj.hoursquantity }}</div>
        <div>{{ directoryOjb.teacher }}</div>
        <div>{{ directoryOjb.rating }}</div>
        <button>Delete</button>
        <button>Edit</button>
    </div>
</template>

<script>
import { mapActions } from 'vuex'

    export default {
        name: 'DirectoryItem',

        props: {
            directoryOjb: {
                type: Object,
                default: () => ({}),
            },
        },

        methods: {
        ...mapActions
       
    },
        
 }

    
</script>

<style lang="scss" scoped>

</style>